
/* --------------------------------------------
	INSERT CSS FOR YOUR CHILD THEME HERE
-------------------------------------------- */

/* Re-enable sorting dropdown on shop pages */
.woocommerce .woocommerce-ordering, .woocommerce-page .woocommerce-ordering {
	display: block !important;
	float: none;
	/* optional – can be 'none', 'left', or 'right' */
	margin-bottom: 1em;
	width: 200px;
}

/* Center main navigation */
.menu {
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
}

/* Hide related products on product page */
.related.products, .woocommerce-related-products, .upsells.products {
	display: none !important;
}

/* Hide generic title/header on posts */
.single-post .post-header, .single-post .post_title, .single-post .title-wrap {
	display: none !important;
}

/* Format all archive post feature images to the same height */
.archive-img {
	display: block !important;
	width: 100% !important;
	height: 250px !important;
	object-fit: cover !important;
	object-position: center center !important;
}

/* Remove yellow highlight from price on Upsell plugin campaigns */
ins {
	background-color: #fff !important;
}

/* Hide SKU and categories on product page */
.product_meta .sku_wrapper, .product_meta .posted_in {
	display: none !important;
}

/* Currency Switcher Form Styling */
#header-main .head-meta .widget_wc_aelia_currencyswitcher_widget {
	margin-left: 15px;
	width: 24px;
}

#header-main .head-meta .widget_wc_aelia_currencyswitcher_widget .aelia_cs_currencies {
	border: 0 !important;
	clip: rect(0 0 0 0) !important;
	height: 1px !important;
	margin: -1px !important;
	overflow: hidden !important;
	padding: 0 !important;
	position: absolute !important;
	width: 1px !important;
}

.currency_switch_form {
	display: flex;
}

/* Width for symbol display
.currency_switch_form .select2-container {
	width: 80px !important;
    min-width: 80px;
}


.currency_switch_form .select2-selection {
    border: 1px solid #ddd;
    border-radius: 4px;
    height: 40px;
    padding: 5px 10px;
    background-color: #fff;
}
*/
.currency_switch_form .select2-selection__rendered {
	padding: 0px !important;
}

.currency_switch_form .currency-symbol {
	font-size: 18px;
	font-weight: bold;
	display: flex;
	color: #333;
}

.currency_switch_form .select2-container--default .select2-selection--single {
	border: none;
	height: 24px;
	margin: auto;
}

/* Dropdown list styling */
.currency_switch_form + .select2-container--open .select2-dropdown {
	border: 1px solid #eaeaea;
	background: #fff;
	border-radius: 8px;
	padding: 12px 0;
	min-width: 225px;
	/* Wider dropdown for full currency names */
	left: -200px;
}

.currency_selector .select2-results__option:hover {
	background-color: #e8e8e8 !important;
}

.select2-container--default .select2-results__option[aria-selected] {
	padding: 10px 15px;
}

/*
.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: #E8E8E8 !important;
}
*/
.select2-container--default .select2-results__option[aria-selected=true] {
	background-color: #e8e8e8 !important;
}

/* Arrow styling */
.currency_switch_form .select2-selection__arrow {
	display: none;
}

.select2-container--open .select2-dropdown--below {
	width: 225px !important;
}

.select2-container--default .select2-results>.select2-results__options {
	max-height: none;
	display: grid;
	gap: 4px;
}

.select2-container--default .select2-results__option[aria-selected] {
	margin-bottom: 0;
	padding: 7px 12px;
	font-family: Helvetica Neue, Helvetica, Arial, sans-serif;
	font-size: 14px;
}

/* Responsive adjustments */
@media (max-width: 768px) {
	.currency_switch_form .select2-container {
		width: 70px !important;
	}
	
	.currency_switch_form .currency-symbol {
		font-size: 16px;
	}
}

.woof-slide-out-div .woof-handle, .woof_container .woof_container_inner .irs--square .irs-bar, .woof_container .woof_container_inner .irs--square .irs-from, .woof_container .woof_container_inner .irs--square .irs-to, .woof_container .woof_container_inner .irs--square .irs-single, .woof_container .woof_container_inner .irs--square .irs-handle {
	background: #313139;
}

.woof_container .woof_container_inner .irs--square .irs-handle {
	border-color: #313139 !important;
}

.woof-slide-out-div .woof-slide-content {
	max-width: 100% !important;
}

@media (min-width: 320px) and (max-width: 375px) {
	.woof-slide-out-div .woof-slide-content {
		width: 262.553px !important;
	}
}

.woof_childs_list_opener span.woof_is_closed {
	background-image: url("data:image/svg+xml,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' fill=\'%23313139\' version=\'1.1\' viewBox=\'0 0 455 455\' xml:space=\'preserve\'%3E%3Cpolygon points=\'455 212.5 242.5 212.5 242.5 0 212.5 0 212.5 212.5 0 212.5 0 242.5 212.5 242.5 212.5 455 242.5 455 242.5 242.5 455 242.5\'/%3E%3C/svg%3E") !important;
}

.woof_childs_list_opener span.woof_is_closed.nitro-lazy {
	background-image: none !important;
}

.woof_childs_list_opener span.woof_is_opened {
	background-image: url("data:image/svg+xml,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' fill=\'%23313139\' version=\'1.1\' viewBox=\'0 0 455 455\' xml:space=\'preserve\'%3E%3Crect y=\'212.5\' width=\'455\' height=\'30\'/%3E%3C/svg%3E") !important;
}

.woof_childs_list_opener span.woof_is_opened.nitro-lazy {
	background-image: none !important;
}

.woof_childs_list_opener {
	margin-bottom: 5px !important;
}

.woof_container .woof_container_inner .irs-grid-text {
	color: #313139;
}

.woof_container .woof_container_inner h4 {
	font-size: 20px;
}

.woof_container .woof_container_inner .woof_list label {
	font-size: 14px;
}

.woof_container .woof_container_inner input[type="search"] {
	font-size: 16px;
	padding: 1rem;
}

.woof_container .woof_container_inner .switcher23-container label {
	font-size: 14px;
}

.woof_products_top_panel .woof_products_top_panel_ul {
	display: flex;
	align-items: center;
}

@media (max-width: 767px) {
	.woof_products_top_panel .woof_products_top_panel_ul {
		flex-direction: column;
		row-gap: 1rem;
	}
}

.woof_products_top_panel .woof_products_top_panel_ul li, .woof_products_top_panel .woof_products_top_panel_ul a {
	font-size: 14px;
}

.woof_products_top_panel .woof_reset_button_2 {
	margin-top: 0;
}

.woof_products_top_panel .woof_products_top_panel_ul a[data-slug="price range"] .woof_remove_ppi {
	text-transform: capitalize;
}

.woocommerce.archive .main-list-inn .product-caption {
	position: relative;
	left: initial;
	top: initial;
	bottom: initial;
	right: initial;
	margin-top: 8px;
	opacity: 1;
}

.woocommerce.archive .main-list-inn .product-caption-inn.middle-ux {
	position: relative;
	transform: none;
	font-size: 16px;
}

.woocommerce.archive .main-list-inn .product-caption-inn.middle-ux .product-caption-title {
	font-size: 18px;
}

.woocommerce.archive .main-list-inn .product-caption-inn.middle-ux .price {
	font-weight: 600;
}

.single-product-summary .shipping-policy {
	display: block;
	font-size: 13px;
	width: 100%;
}

.single-product-summary .shipping-policy a {
	text-decoration: underline;
	color: #938968;
}

.single-product-summary form.cart {
	display: flex !important;
	flex-wrap: wrap;
}

.single-product-summary .quantity input.qty {
	margin-bottom: 10px !important;
}

.single-product-summary p.first-payment-date {
	font-size: 22px;
}

.single-product-summary .wcpay-payment-request-wrapper {
	margin-top: 1rem !important;
}

.single-product .woof-slide-out-div {
	display: none !important;
}

/* Cart */
.custom-cart-header {
	border-bottom: 1px solid #eaeaea;
	margin-bottom: 2rem;
	padding-bottom: 2.5rem;
	text-align: center;
}

.custom-cart-header .cart-heading {
	font-size: 48px;
	margin-bottom: 2.5rem;
}

@media (min-width: 767px) {
	.woocommerce-cart table.cart tbody td, .woocommerce-cart table.cart thead th {
		padding-left: 5px;
		padding-right: 5px;
	}
}

@media (max-width: 767px) {
	.custom-cart-header .cart-heading {
		font-size: 24px;
	}
	
	.custom-cart-header .cart-subheading {
		font-size: 14px !important;
	}
	
	.woocommerce-cart .shop_table.cart tr {
		display: flex;
		flex-direction: column;
	}
	
	.woocommerce-cart .shop_table.cart td {
		padding: .75rem 0;
		border-bottom: none !important;
	}
	
	.woocommerce-cart table.cart {
		border-bottom: none !important;
	}
	
	.woocommerce-cart table.cart td.product-thumbnail, .woocommerce-cart table.cart thead, .woocommerce-cart .cart-content button.button[name="update_cart"] {
		display: none !important;
	}
	
	.woocommerce-cart table.cart td.product-name {
		font-size: 1em;
		line-height: 1.5em;
		font-weight: 500;
		letter-spacing: -.01em;
		color: #000;
	}
	
	.woocommerce-cart table.cart td.product-name a {
		font-size: 15px;
		font-weight: 400;
		text-align: right;
		display: block;
	}
	
	.woocommerce-page table.cart td.product-quantity {
		padding-bottom: 1rem;
	}
	
	.woocommerce-cart table.cart td.product-quantity .quantity-wrapper {
		margin-left: auto;
	}
	
	.woocommerce-cart table.cart td.product-price .amount, .woocommerce-cart table.cart td.product-subtotal .amount {
		font-size: 16px;
		font-weight: 500;
		text-align: right;
		display: block;
		border-bottom: none !important;
	}
	
	.woocommerce-cart .shop_table.cart td.product-remove {
		order: -1;
		padding: 0;
	}
	
	.woocommerce-cart .shop_table.cart td.product-remove a {
		float: right;
	}
	
	.woocommerce-cart table.cart tbody tr td:last-child {
		border-bottom: none !important;
	}
	
	.woocommerce-cart table.cart tbody .product-subtotal {
		border-bottom: 2px solid #eceeef !important;
		padding-bottom: 2.25em;
		margin-bottom: 20px;
	}
	
	.woocommerce-cart table.cart tr td:before {
		content: attr(data-title) " ";
		font-weight: 500;
		float: left;
		padding-right: 10px;
	}
}

/* Checkout */
.woocommerce-checkout #wc_gc_cart_redeem_form {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	gap: 10px;
}

.woocommerce-checkout #wc_gc_cart_redeem_form .wc_gc_add_gift_card_form__notices {
	flex: 0 0 100%;
	width: 100%;
}

.woocommerce-checkout #wc_gc_cart_redeem_form #wc_gc_cart_code {
	flex: 1;
	min-width: 0;
	padding: .5em;
	display: block;
	background-color: var(--wc-form-color-background, #fff);
	border: var(--wc-form-border-width) solid var(--wc-form-border-color);
	border-radius: 0;
	color: var(--wc-form-color-text, #000);
	margin-bottom: 0;
}

.woocommerce-checkout #wc_gc_cart_redeem_form #wc_gc_cart_redeem_send {
	flex: 0 0 auto;
	width: auto;
	white-space: nowrap;
	padding: 0 22px !important;
}

.woocommerce-checkout .woocommerce-form-login p {
	font-size: 14px !important;
	margin-bottom: 0 !important;
}

.woocommerce-checkout .woocommerce-form-login p label {
	font-size: 16px !important;
}

.woocommerce-checkout .woocommerce-form-login__rememberme input[type="checkbox"] {
	margin-right: 3px;
}

.woocommerce-checkout .woocommerce-form-login__rememberme span {
	font-size: 14px;
}

.woocommerce-checkout .woocommerce-form-login-toggle .woocommerce-info, .woocommerce-checkout .woocommerce-form-coupon-toggle .woocommerce-info {
	padding: .75rem 2rem !important;
	margin-bottom: 1.5rem;
}

.woocommerce-checkout form.woocommerce-form-login, .woocommerce-checkout form.checkout_coupon {
	margin-top: 1rem !important;
}

.woocommerce-checkout form.checkout_coupon input#coupon_code {
	min-width: auto !important;
	padding-left: 1rem;
}

.woocommerce-checkout form.checkout_coupon button.button {
	margin-left: 1rem;
}

/* Shop page */
.woocommerce-shop .product-caption a.button {
	display: inline-flex;
	border: 1px solid #222;
	justify-content: center;
	align-items: center;
	border-radius: 100px;
	width: auto !important;
	margin-top: 1rem;
	font-size: 15px !important;
}

.woocommerce-shop .product-caption a.button.added:after {
	margin-top: 0 !important;
}

.woocommerce-shop .product-caption a.button.loading:after {
	top: 7px !important;
}

.woocommerce-shop .product-caption a.button:hover {
	background: #222;
	color: #fff;
}

.woocommerce-shop .product-caption a.added_to_cart {
	padding-left: .75rem !important;
}

.cuw-offer .cuw-product-image img, .cuw-product .cuw-product-image img {
	margin: 0 !important;
	height: 100%;
	width: 100%;
}

.cuw-offer .cuw-product-curve-image img, .cuw-product .cuw-product-curve-image img {
	border-radius: inherit;
}

.cuw-offer .cuw-product-curve-image .woocommerce-placeholder, .cuw-product .cuw-product-curve-image .woocommerce-placeholder {
	border-radius: 18px 18px 0 0;
}

.cuw-offer .cuw-custom-checkbox, .cuw-product .cuw-custom-checkbox, .cuw-action .cuw-custom-checkbox {
	height: 16px;
	width: 16px;
	accent-color: #fff;
	margin: 0;
}

.cuw-offer .cuw-custom-checkbox:checked:before, .cuw-product .cuw-custom-checkbox:checked:before, .cuw-action .cuw-custom-checkbox:checked:before {
	color: blue;
}

.cuw-offer .cuw-ppu-button, .cuw-product .cuw-ppu-button, .cuw-page .cuw-ppu-button, .cuw-product-row .cuw-ppu-button {
	width: 100%;
}

.cuw-offer .quantity-input, .cuw-product .quantity-input, .cuw-page .quantity-input, .cuw-product-row .quantity-input {
	position: relative;
	display: inline-block;
	color: #7f7f7f;
	min-width: 112px;
}

.cuw-offer .quantity-input input, .cuw-product .quantity-input input, .cuw-page .quantity-input input, .cuw-product-row .quantity-input input {
	transition: border .2s ease-in-out, color .2s ease-in-out;
	-webkit-appearance: textfield;
	-moz-appearance: textfield;
	appearance: textfield;
	font-family: sans-serif;
	font-size: 14px;
	line-height: 24px;
	font-weight: bold;
	box-shadow: none;
	outline: none;
	width: 48px;
	max-width: 64px;
	height: 32px;
	padding: 0 4px;
	text-align: center;
	float: right;
	border: 1px solid #dcdcdc;
	border-radius: 2px;
	background-color: #fff;
	color: #342f2f;
}

.cuw-offer .quantity-input input:focus, .cuw-product .quantity-input input:focus, .cuw-page .quantity-input input:focus, .cuw-product-row .quantity-input input:focus {
	border-color: #57b8f6 !important;
}

.cuw-offer .quantity-input input:hover, .cuw-product .quantity-input input:hover, .cuw-page .quantity-input input:hover, .cuw-product-row .quantity-input input:hover {
	border-color: #a5a5a5;
}

.cuw-offer .quantity-input .cuw-plus, .cuw-offer .quantity-input .cuw-minus, .cuw-product .quantity-input .cuw-plus, .cuw-product .quantity-input .cuw-minus, .cuw-page .quantity-input .cuw-plus, .cuw-page .quantity-input .cuw-minus, .cuw-product-row .quantity-input .cuw-plus, .cuw-product-row .quantity-input .cuw-minus {
	width: 32px;
	height: 32px;
	display: inline-block;
	float: right;
	position: relative;
	cursor: pointer;
	border-radius: 2px;
}

.cuw-offer .quantity-input .cuw-plus:hover, .cuw-offer .quantity-input .cuw-minus:hover, .cuw-product .quantity-input .cuw-plus:hover, .cuw-product .quantity-input .cuw-minus:hover, .cuw-page .quantity-input .cuw-plus:hover, .cuw-page .quantity-input .cuw-minus:hover, .cuw-product-row .quantity-input .cuw-plus:hover, .cuw-product-row .quantity-input .cuw-minus:hover {
	background: rgba(220, 220, 220, .8);
}

.cuw-offer .quantity-input .cuw-plus::before, .cuw-offer .quantity-input .cuw-plus::after, .cuw-offer .quantity-input .cuw-minus::before, .cuw-offer .quantity-input .cuw-minus::after, .cuw-product .quantity-input .cuw-plus::before, .cuw-product .quantity-input .cuw-plus::after, .cuw-product .quantity-input .cuw-minus::before, .cuw-product .quantity-input .cuw-minus::after, .cuw-page .quantity-input .cuw-plus::before, .cuw-page .quantity-input .cuw-plus::after, .cuw-page .quantity-input .cuw-minus::before, .cuw-page .quantity-input .cuw-minus::after, .cuw-product-row .quantity-input .cuw-plus::before, .cuw-product-row .quantity-input .cuw-plus::after, .cuw-product-row .quantity-input .cuw-minus::before, .cuw-product-row .quantity-input .cuw-minus::after {
	position: absolute;
	top: calc(50% - 1px);
	left: calc(50% - 7px);
	content: "";
	width: 12px;
	height: 2px;
	background-color: #342f2f;
	display: block;
}

.cuw-offer .quantity-input .cuw-plus::after, .cuw-product .quantity-input .cuw-plus::after, .cuw-page .quantity-input .cuw-plus::after, .cuw-product-row .quantity-input .cuw-plus::after {
	transform: rotate(90deg);
}

.cuw-offer .quantity-input .cuw-minus::after, .cuw-product .quantity-input .cuw-minus::after, .cuw-page .quantity-input .cuw-minus::after, .cuw-product-row .quantity-input .cuw-minus::after {
	display: none;
}

.cuw-offer .quantity-input input::-webkit-outer-spin-button, .cuw-offer .quantity-input input::-webkit-inner-spin-button, .cuw-product .quantity-input input::-webkit-outer-spin-button, .cuw-product .quantity-input input::-webkit-inner-spin-button, .cuw-page .quantity-input input::-webkit-outer-spin-button, .cuw-page .quantity-input input::-webkit-inner-spin-button, .cuw-product-row .quantity-input input::-webkit-outer-spin-button, .cuw-product-row .quantity-input input::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}

.cuw-offer .quantity-input input[type=number], .cuw-product .quantity-input input[type=number], .cuw-page .quantity-input input[type=number], .cuw-product-row .quantity-input input[type=number] {
	-moz-appearance: textfield;
}

.cuw-offer .quantity-input-2, .cuw-product .quantity-input-2, .cuw-page .quantity-input-2, .cuw-product-row .quantity-input-2 {
	display: inline-flex;
	align-items: center;
	border-width: thin;
	border-style: solid;
	border-color: gray;
	border-radius: 8px;
}

.cuw-offer .quantity-input-2 .cuw-plus, .cuw-offer .quantity-input-2 .cuw-minus, .cuw-product .quantity-input-2 .cuw-plus, .cuw-product .quantity-input-2 .cuw-minus, .cuw-page .quantity-input-2 .cuw-plus, .cuw-page .quantity-input-2 .cuw-minus, .cuw-product-row .quantity-input-2 .cuw-plus, .cuw-product-row .quantity-input-2 .cuw-minus {
	width: 36px;
	height: 32px;
	float: right;
	position: relative;
	cursor: pointer;
	border-radius: 2px;
}

.cuw-offer .quantity-input-2 .cuw-plus:hover, .cuw-offer .quantity-input-2 .cuw-minus:hover, .cuw-product .quantity-input-2 .cuw-plus:hover, .cuw-product .quantity-input-2 .cuw-minus:hover, .cuw-page .quantity-input-2 .cuw-plus:hover, .cuw-page .quantity-input-2 .cuw-minus:hover, .cuw-product-row .quantity-input-2 .cuw-plus:hover, .cuw-product-row .quantity-input-2 .cuw-minus:hover {
	background: rgba(220, 220, 220, .8);
	border-radius: 8px;
}

.cuw-offer .quantity-input-2 .cuw-plus::before, .cuw-offer .quantity-input-2 .cuw-plus::after, .cuw-offer .quantity-input-2 .cuw-minus::before, .cuw-offer .quantity-input-2 .cuw-minus::after, .cuw-product .quantity-input-2 .cuw-plus::before, .cuw-product .quantity-input-2 .cuw-plus::after, .cuw-product .quantity-input-2 .cuw-minus::before, .cuw-product .quantity-input-2 .cuw-minus::after, .cuw-page .quantity-input-2 .cuw-plus::before, .cuw-page .quantity-input-2 .cuw-plus::after, .cuw-page .quantity-input-2 .cuw-minus::before, .cuw-page .quantity-input-2 .cuw-minus::after, .cuw-product-row .quantity-input-2 .cuw-plus::before, .cuw-product-row .quantity-input-2 .cuw-plus::after, .cuw-product-row .quantity-input-2 .cuw-minus::before, .cuw-product-row .quantity-input-2 .cuw-minus::after {
	position: absolute;
	top: calc(50% - 1px);
	left: calc(50% - 7px);
	content: "";
	width: 12px;
	height: 2px;
	background-color: #342f2f;
	display: block;
}

.cuw-offer .quantity-input-2 input, .cuw-product .quantity-input-2 input, .cuw-page .quantity-input-2 input, .cuw-product-row .quantity-input-2 input {
	border: none;
	border-radius: 0;
	border-left: thin solid gray;
	border-right: thin solid gray;
}

.cuw-offer .variant-select, .cuw-offer .attribute-select, .cuw-product .variant-select, .cuw-product .attribute-select, .cuw-page .variant-select, .cuw-page .attribute-select, .cuw-product-row .variant-select, .cuw-product-row .attribute-select {
	transition: border .2s ease-in-out, color .2s ease-in-out;
	font-family: sans-serif;
	font-size: 14px;
	line-height: 24px;
	font-weight: bold;
	box-shadow: none !important;
	outline: none;
	width: 100%;
	height: 32px;
	padding: 0 4px;
	border: 1px solid #dcdcdc;
	border-radius: 4px;
	background-color: #fff;
	color: #342f2f;
}

.cuw-offer .variant-select:focus, .cuw-offer .attribute-select:focus, .cuw-product .variant-select:focus, .cuw-product .attribute-select:focus, .cuw-page .variant-select:focus, .cuw-page .attribute-select:focus, .cuw-product-row .variant-select:focus, .cuw-product-row .attribute-select:focus {
	border-color: #57b8f6 !important;
}

.cuw-offer .variant-select:hover, .cuw-offer .attribute-select:hover, .cuw-product .variant-select:hover, .cuw-product .attribute-select:hover, .cuw-page .variant-select:hover, .cuw-page .attribute-select:hover, .cuw-product-row .variant-select:hover, .cuw-product-row .attribute-select:hover {
	border-color: #a5a5a5;
}

.cuw-offer .inline-attributes-select .cuw-attributes-select, .cuw-product .inline-attributes-select .cuw-attributes-select, .cuw-page .inline-attributes-select .cuw-attributes-select, .cuw-product-row .inline-attributes-select .cuw-attributes-select {
	display: flex;
	margin: 0 8px;
	gap: 12px;
}

.cuw-offer .inline-attributes-select .cuw-attributes-select .attribute-select-wrapper, .cuw-product .inline-attributes-select .cuw-attributes-select .attribute-select-wrapper, .cuw-page .inline-attributes-select .cuw-attributes-select .attribute-select-wrapper, .cuw-product-row .inline-attributes-select .cuw-attributes-select .attribute-select-wrapper {
	display: flex;
	align-items: center;
	flex-direction: row;
	gap: 4px;
}

.cuw-offer .inline-attributes-select .cuw-attributes-select .attribute-select-wrapper ::after, .cuw-product .inline-attributes-select .cuw-attributes-select .attribute-select-wrapper ::after, .cuw-page .inline-attributes-select .cuw-attributes-select .attribute-select-wrapper ::after, .cuw-product-row .inline-attributes-select .cuw-attributes-select .attribute-select-wrapper ::after {
	content: ": ";
}

.cuw-fit-image img {
	object-fit: contain;
}

.cuw-mobile-block {
	display: none;
}

.cuw-desktop-block {
	display: block;
}

.cuw-template .cuw-carousel-slider::-webkit-scrollbar {
	display: none;
}

.cuw-modal {
	display: none;
	position: fixed;
	padding-top: 100px;
	top: 0;
	left: 0;
	z-index: 1000000;
	overflow: auto;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, .4);
}

.cuw-modal .cuw-modal-content {
	position: relative;
	overflow: hidden;
	border-radius: 5px;
	width: 80%;
	margin: auto;
	background-color: #fff;
	box-shadow: 0 4px 6px -1px rgba(0, 0, 0, .1), 0 2px 4px -2px rgba(0, 0, 0, .1);
}

.cuw-modal .cuw-modal-close {
	margin-left: auto;
	padding: 0 6px;
	color: #4a5568;
	float: right;
	font-size: 28px;
	font-weight: bold;
}

.cuw-modal .cuw-modal-close:hover, .cuw-modal .cuw-modal-close:focus {
	color: #e53e3e;
	text-decoration: none;
	cursor: pointer;
}

.cuw-modal .cuw-modal-header, .cuw-modal .cuw-modal-footer {
	display: flex;
	align-items: center;
	padding: 8px 16px;
	background-color: #f7fafc;
	color: #1a202c;
}

.cuw-modal .cuw-modal-header h1, .cuw-modal .cuw-modal-header h2, .cuw-modal .cuw-modal-header h3, .cuw-modal .cuw-modal-header h4, .cuw-modal .cuw-modal-footer h1, .cuw-modal .cuw-modal-footer h2, .cuw-modal .cuw-modal-footer h3, .cuw-modal .cuw-modal-footer h4 {
	padding: 0;
	margin: 0;
}

.cuw-modal .cuw-modal-body {
	padding: 8px 16px;
}

.cuw-animate-top {
	animation-name: cuw-animate-top;
	animation-duration: .3s;
}

.cuw-animate-fade {
	animation-name: cuw-animate-fade;
	animation-duration: .3s;
}

.cuw-modal .sku_wrapper {
	display: block;
}

@keyframes cuw-animate-top {
	from {
		top: -300px;
		opacity: 0;
	}
	
	to {
		top: 0;
		opacity: 1;
	}
}

@keyframes cuw-animate-fade {
	0% {
		opacity: 0;
	}
	
	100% {
		opacity: 1;
	}
}

.cuw-template-mobile-preview .cuw-fbt-products.cuw-mobile-responsive .cuw-gird, .cuw-template-mobile-preview .cuw-upsell-products.cuw-mobile-responsive .cuw-gird {
	flex-wrap: nowrap;
	justify-content: center;
}

.cuw-template-mobile-preview .cuw-fbt-products.cuw-mobile-responsive .cuw-gird .cuw-mobile-product-flex-column, .cuw-template-mobile-preview .cuw-upsell-products.cuw-mobile-responsive .cuw-gird .cuw-mobile-product-flex-column {
	flex-direction: column;
}

.cuw-template-mobile-preview .cuw-fbt-products.cuw-mobile-responsive .cuw-gird .cuw-mobile-align-items-center, .cuw-template-mobile-preview .cuw-upsell-products.cuw-mobile-responsive .cuw-gird .cuw-mobile-align-items-center {
	align-items: center;
}

.cuw-template-mobile-preview .cuw-fbt-products.cuw-mobile-responsive .cuw-gird .cuw-column, .cuw-template-mobile-preview .cuw-upsell-products.cuw-mobile-responsive .cuw-gird .cuw-column {
	margin-bottom: 8px !important;
}

.cuw-template-mobile-preview .cuw-fbt-products.cuw-mobile-responsive .cuw-gird .cuw-column .cuw-product-wrapper, .cuw-template-mobile-preview .cuw-upsell-products.cuw-mobile-responsive .cuw-gird .cuw-column .cuw-product-wrapper {
	display: block !important;
}

.cuw-template-mobile-preview .cuw-fbt-products.cuw-mobile-responsive .cuw-gird .cuw-column .cuw-product-wrapper .cuw-product-image, .cuw-template-mobile-preview .cuw-upsell-products.cuw-mobile-responsive .cuw-gird .cuw-column .cuw-product-wrapper .cuw-product-image {
	margin: 0 auto;
}

.cuw-template-mobile-preview .cuw-fbt-products.cuw-mobile-responsive .cuw-gird .cuw-column .cuw-product-wrapper .cuw-product-separator, .cuw-template-mobile-preview .cuw-upsell-products.cuw-mobile-responsive .cuw-gird .cuw-column .cuw-product-wrapper .cuw-product-separator {
	margin: 0 !important;
	justify-content: center;
	height: 28px !important;
}

.cuw-template-mobile-preview .cuw-fbt-products.cuw-mobile-responsive .cuw-product {
	width: 100%;
	display: flex;
	flex-direction: column;
	align-items: center;
}

.cuw-template-mobile-preview .cuw-fbt-products.cuw-mobile-responsive .cuw-buy-section {
	display: block !important;
}

.cuw-template-mobile-preview .cuw-fbt-products.cuw-mobile-responsive .cuw-buy-section .cuw-prices {
	gap: 16px !important;
}

.cuw-template-mobile-preview .cuw-fbt-products.cuw-mobile-responsive .cuw-buy-section .cuw-actions {
	margin-top: 10px;
}

.cuw-template-mobile-preview .cuw-template .cuw-carousel-slide {
	flex-direction: column !important;
}

.cuw-template-mobile-preview .cuw-popup-products.cuw-mobile-responsive {
	flex-direction: column;
	justify-content: center;
	text-align: center;
	row-gap: 8px;
	margin-bottom: 32px !important;
}

.cuw-template-mobile-preview .cuw-modal {
	font-size: 90%;
	padding-top: 50px !important;
}

.cuw-template-mobile-preview .cuw-modal .cuw-modal-header {
	padding: 12px 16px !important;
	font-size: 26px !important;
	line-height: 1.2;
}

.cuw-template-mobile-preview .cuw-modal .cuw-modal-subheader {
	padding: 8px 16px !important;
	font-size: 24px !important;
}

.cuw-template-mobile-preview .cuw-modal .cuw-modal-content {
	width: 90% !important;
}

.cuw-template-mobile-preview .cuw-modal .cuw-modal-body {
	max-height: 50vh !important;
}

.cuw-template-mobile-preview .cuw-mobile-block {
	display: block;
}

.cuw-template-mobile-preview .cuw-desktop-block {
	display: none;
}

@media only screen and (max-width: 480px) {
	.cuw-fbt-products.cuw-mobile-responsive .cuw-gird, .cuw-upsell-products.cuw-mobile-responsive .cuw-gird {
		flex-wrap: nowrap;
		justify-content: center;
	}
	
	.cuw-fbt-products.cuw-mobile-responsive .cuw-gird .cuw-mobile-product-flex-column, .cuw-upsell-products.cuw-mobile-responsive .cuw-gird .cuw-mobile-product-flex-column {
		flex-direction: column;
	}
	
	.cuw-fbt-products.cuw-mobile-responsive .cuw-gird .cuw-mobile-align-items-center, .cuw-upsell-products.cuw-mobile-responsive .cuw-gird .cuw-mobile-align-items-center {
		align-items: center;
	}
	
	.cuw-fbt-products.cuw-mobile-responsive .cuw-gird .cuw-column, .cuw-upsell-products.cuw-mobile-responsive .cuw-gird .cuw-column {
		margin-bottom: 8px !important;
	}
	
	.cuw-fbt-products.cuw-mobile-responsive .cuw-gird .cuw-column .cuw-product-wrapper, .cuw-upsell-products.cuw-mobile-responsive .cuw-gird .cuw-column .cuw-product-wrapper {
		display: block !important;
	}
	
	.cuw-fbt-products.cuw-mobile-responsive .cuw-gird .cuw-column .cuw-product-wrapper .cuw-product-image, .cuw-upsell-products.cuw-mobile-responsive .cuw-gird .cuw-column .cuw-product-wrapper .cuw-product-image {
		margin: 0 auto;
	}
	
	.cuw-fbt-products.cuw-mobile-responsive .cuw-gird .cuw-column .cuw-product-wrapper .cuw-product-separator, .cuw-upsell-products.cuw-mobile-responsive .cuw-gird .cuw-column .cuw-product-wrapper .cuw-product-separator {
		margin: 0 !important;
		justify-content: center;
		height: 28px !important;
	}
	
	.cuw-fbt-products.cuw-mobile-responsive .cuw-product {
		width: 100%;
		display: flex;
		flex-direction: column;
		align-items: center;
	}
	
	.cuw-fbt-products.cuw-mobile-responsive .cuw-buy-section {
		display: block !important;
	}
	
	.cuw-fbt-products.cuw-mobile-responsive .cuw-buy-section .cuw-prices {
		gap: 16px !important;
	}
	
	.cuw-fbt-products.cuw-mobile-responsive .cuw-buy-section .cuw-actions {
		margin-top: 10px;
	}
	
	.cuw-template .cuw-carousel-slide {
		flex-direction: column !important;
	}
	
	.cuw-popup-products.cuw-mobile-responsive {
		flex-direction: column;
		justify-content: center;
		text-align: center;
		row-gap: 8px;
		margin-bottom: 32px !important;
	}
	
	.cuw-modal {
		font-size: 90%;
		padding-top: 50px !important;
	}
	
	.cuw-modal .cuw-modal-header {
		padding: 12px 16px !important;
		font-size: 26px !important;
		line-height: 1.2;
	}
	
	.cuw-modal .cuw-modal-subheader {
		padding: 8px 16px !important;
		font-size: 24px !important;
	}
	
	.cuw-modal .cuw-modal-content {
		width: 90% !important;
	}
	
	.cuw-modal .cuw-modal-body {
		max-height: 50vh !important;
	}
	
	.cuw-mobile-block {
		display: block;
	}
	
	.cuw-desktop-block {
		display: none;
	}
}

@media only screen and (max-width: 600px) {
	.cuw-modal .cuw-product-layout {
		flex-direction: column;
	}
}

.cuw-offer-text, .cuw-discount-text {
	padding: 2px 6px;
	border-radius: 16px;
	line-height: 1;
	background: limegreen;
	color: white;
	cursor: pointer;
	white-space: nowrap;
}

.cuw-addon-text {
	padding: 3px 6px;
	border-radius: 16px;
	line-height: 1;
	background: #6d28d9;
	color: white;
	cursor: pointer;
	white-space: nowrap;
}

.cuw-offer-row .cuw-container {
	margin: 0 !important;
}

.cuw-page-preview {
	margin: 0;
	padding: 0 12px;
}

.cuw-page-product-image img {
	margin: 0 auto;
	max-width: 256px;
	display: flex;
	width: 100%;
	height: 100%;
}

.cuw-page-offer-description {
	display: block;
	max-width: 480px;
	text-align: center;
	margin: 0 auto;
}

.cuw-page-offer-accept, .cuw-page-offer-decline, .cuw-page-product-quantity, .cuw-page-product-variants {
	display: flex;
	align-items: center;
	justify-content: center;
	margin: 1rem 0;
}

.cuw-page-product-variants select {
	max-width: 320px;
}

.cuw-page .entry-meta, .cuw-page .entry-date, .cuw-page .post-date, .cuw-page .posted-on, .cuw-page .navigation {
	display: none !important;
}

h1:where(.wp-block-heading).has-background, h2:where(.wp-block-heading).has-background, h3:where(.wp-block-heading).has-background, h4:where(.wp-block-heading).has-background, h5:where(.wp-block-heading).has-background, h6:where(.wp-block-heading).has-background {
	padding: 1.25em 2.375em;
}

h1.has-text-align-left[style*=writing-mode]:where([style*=vertical-lr]), h1.has-text-align-right[style*=writing-mode]:where([style*=vertical-rl]), h2.has-text-align-left[style*=writing-mode]:where([style*=vertical-lr]), h2.has-text-align-right[style*=writing-mode]:where([style*=vertical-rl]), h3.has-text-align-left[style*=writing-mode]:where([style*=vertical-lr]), h3.has-text-align-right[style*=writing-mode]:where([style*=vertical-rl]), h4.has-text-align-left[style*=writing-mode]:where([style*=vertical-lr]), h4.has-text-align-right[style*=writing-mode]:where([style*=vertical-rl]), h5.has-text-align-left[style*=writing-mode]:where([style*=vertical-lr]), h5.has-text-align-right[style*=writing-mode]:where([style*=vertical-rl]), h6.has-text-align-left[style*=writing-mode]:where([style*=vertical-lr]), h6.has-text-align-right[style*=writing-mode]:where([style*=vertical-rl]) {
	rotate: 180deg;
}

.is-small-text {
	font-size: .875em;
}

.is-regular-text {
	font-size: 1em;
}

.is-large-text {
	font-size: 2.25em;
}

.is-larger-text {
	font-size: 3em;
}

.has-drop-cap:not(:focus):first-letter {
	float: left;
	font-size: 8.4em;
	font-style: normal;
	font-weight: 100;
	line-height: .68;
	margin: .05em .1em 0 0;
	text-transform: uppercase;
}

body.rtl .has-drop-cap:not(:focus):first-letter {
	float: none;
	margin-left: .1em;
}

p.has-drop-cap.has-background {
	overflow: hidden;
}

:root :where(p.has-background) {
	padding: 1.25em 2.375em;
}

:where(p.has-text-color:not(.has-link-color)) a {
	color: inherit;
}

p.has-text-align-left[style*="writing-mode:vertical-lr"], p.has-text-align-right[style*="writing-mode:vertical-rl"] {
	rotate: 180deg;
}
